.textmedia {
  display: grid;
  width: 100%;
  grid-template-columns: 16px 1fr 16px;

  & .headline .-center {
    text-align: left;
  }
}

.textmedia__content {
  grid-column: 2;
  padding: 0 0 var(--p) 0;
  align-self: center;
}

.textmedia__image {
  overflow: hidden;
  min-height: auto;
}

.textmedia__logo {
  margin-bottom: 40px;
  display: inline-block;
}

.textmedia__logo img {
  max-width: 180px;
  max-height: 60px;
  height: 100%;
  width: 100%;
}

.textmedia__image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  aspect-ratio: 4 / 3;
}

.textmedia__text {
  text-wrap: balance;
}

.textmedia {
  display: flex;
  flex-direction: column-reverse;
  background-color: rgb(var(--c-neutral-lightest));
}

.textmedia .textmedia__content {
  padding: 30px;
}

.textmedia .textmedia__image {
  grid-column: 1;
  grid-row: 1;
}

.textmedia .textmedia__image picture,
.textmedia .textmedia__image img {
  display: block;
  width: 100%;
  height: 100%;
}

.textmedia .textmedia__image img {
  object-fit: cover;
}

.textmedia .headline--small {
  margin: 0 0 20px;
  color: rgb(var(--c-primary));
  font-size: 18px;
  font-weight: 700;
}


/* =============================================================================
   Media Queries
   ========================================================================== */

@media (min-width: 400px) {
  .textmedia {
    grid-template-columns: 4% 1fr 4%;
  }
}

@media (min-width: 800px) {
  .textmedia {
    grid-template-columns: 4% 1fr 24px 1fr 4%;
  }

  .textmedia__content {
    grid-column: 2;
    padding: 0;
  }

  .textmedia .textmedia__content {
    direction: ltr;
  }
}

@media (min-width: 1280px) {
  .textmedia .textmedia__content {
    padding: 1.5rem 2rem;
  }

  /* Textbereich */
  .textmedia .textmedia__content {
    grid-column: 2;
    grid-row: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
  }

  .textmedia {
    display: grid;
    grid-template-columns: 30% 70%;
    align-items: stretch;
    min-height: 240px;
  }
}

@media (min-width: 1540px) {
  .textmedia__image img {
    aspect-ratio: 7 / 4;
  }
}
